module fol.

%  This module provides the "signature" for a simple, first-order
%  (object) logic.

kind    i       type.
kind    form    type.

type    and     form -> form -> form.
type    or      form -> form -> form.
type    imp     form -> form -> form.
type    neg     form -> form.
type    forall  (i -> form) -> form.
type    exists  (i -> form) -> form.
type    false   form.

infixl  or      4.
infixl  and     5.
infixr  imp     6.
