% This module is the top level for an automatic theorem prover for
% a sequent system for first-order classical logic.

module lc_top.

import  lc_auto formulas.

type    prove           name -> lprf -> o.
type    test            int -> lprf -> o.

prove Name Q1 :-
  formula Name Formula,
  Q1 >-1 (nil --> (Formula::nil)).

test 1 Q :- prove cases1 Q.
test 2 Q :- prove baffler Q.
