module nd_top.

import  ndtac ndprint inter_tacs formulas.

type    inter_top   name -> nprf -> goal -> o.
type    load_tacs   string -> goal -> goal -> o.

inter_top Name P OutGoal :-
  formula Name A,
  inter (basic_io ndoutput readtac) (nil --> P # A) OutGoal.

load_tacs M InGoal OutGoal :-
  with_tacs M (inter (basic_io ndoutput readtac)) InGoal OutGoal.

type    test        nprf -> goal -> o.
test P OutGoal :- inter_top cases1 P OutGoal.
% Two example interactive sessions.
% (Type 'quit' at any point to exit a proof branch.)
% (1) Enter the following series of tactics:
%     imp_i_tac.
%     or_e_tac 1.
%     exists_i_tac.
%     close_tac 0.
%     exists_i_tac.
%     close_tac 0.
% (2) Enter the following compound tactic:
%     then imp_i_tac (then (or_e_tac 1) (then exists_i_tac (close_tac 0))).
% See ndtac.mod for the full set of tactics for natural deduction.
